Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Suchbaum<Typ extends Ordnungsobjekt>

    java.lang.Object
      sum.strukturen.Baum<Typ>
          sum.strukturen.Suchbaum<Typ>

All Implemented Interfaces:
  Serializable

    public class Suchbaum<Typ extends Ordnungsobjekt>

extends Baum<Typ>
implements Serializable

Ein Suchbaum ist als Binärbaum nach der Schnittstelle aus dem Buch "Informatik mit Java" realisiert und enthält Ordnungsobjekte.
Er kann als Suchbaum mit einem Inhaltstyp, der Ordnungsobjekt implementiert, deklariert werden. Wird dieser weggelassen, liefert die Anfrage suche ein Object und es wird Typkonversion nötig.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Suchbaum(Typ pInhalt)` Ein neuer Suchbaum mit leeren Teilbäumen wird erzeugt

Method Summary
`void` | `fuegeEin(Typ pInhalt)` Ein Objekt wird an der passenden Stelle eingefügt, wenn noch kein Objekt mit diesem Schlüssel vorhanden war.
`void` | `loesche(Typ pInhalt)` Wenn ein Objekt mit dem Schlüssel von pInhalt vorhanden ist, wird es aus dem Baum gelöscht.
`Typ` | `suche(Typ pInhalt)` Wenn ein Objekt mit dem Schlüssel von pInhalt vorhanden ist, wird es geliefert, sonst ist das Ergebnis null.

Methods inherited from class sum.strukturen.Baum
`inhalt, istBlatt, istLeer, istWurzel, linkerTeilbaum, rechterTeilbaum, setzeInhalt, setzeLinkenTeilbaum, setzeRechtenTeilbaum, setzeVater, teilbaeumeLeer, toString, vater`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Suchbaum

    public Suchbaum(Typ pInhalt)

  Ein neuer Suchbaum mit leeren Teilbäumen wird erzeugt

  Parameters:
    `pInhalt` - das Objekt, das der Inhalt der Wurzel wird

Method Detail

### fuegeEin

    public void fuegeEin(Typ pInhalt)

  Ein Objekt wird an der passenden Stelle eingefügt, wenn noch kein Objekt mit diesem Schlüssel vorhanden war.

  Parameters:
    `pInhalt` - das Objekt, das eingefügt werden soll

### loesche

    public void loesche(Typ pInhalt)

  Wenn ein Objekt mit dem Schlüssel von pInhalt vorhanden ist, wird es aus dem Baum gelöscht.

  Parameters:
    `pInhalt` - das Objekt, das gelöscht werden soll

### suche

    public Typ suche(Typ pInhalt)

  Wenn ein Objekt mit dem Schlüssel von pInhalt vorhanden ist, wird es geliefert, sonst ist das Ergebnis null.

  Parameters:
    `pInhalt` - das Objekt, das gelöscht werden soll
  Returns:
    das Objekt aus dem Suchbaum mit demselben Schlüssel wie pInhalt

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD